# R for travis: see documentation at https://docs.travis-ci.com/user/languages/r

language: R
r:
  - bioc-devel
#  - release
#  - bioc-release
sudo: false
cache: packages

dist: xenial

addons:
  apt:
#    update: true
    sources:
      - sourceline: 'ppa:opencpu/imagemagick'
    packages:
      - libgsl-dev # dependency for gsl>copula>zinbwave
      - libmagick++-dev # dependency for magick
r_check_args: "--no-vignettes"

install: skip
#install:
#  - R -e 'install.packages("knitr")'
#  - R -e 'install.packages("devtools")'
#  - R -e 'devtools::install(dependencies = TRUE, upgrade_dependencies = TRUE)'

after_success:
  - Rscript -e 'covr::codecov()'

notifications:
  email:
    recipients:
      - cazodi@svi.edu.au
    on_success: never
    on_failure: never
